Loading...
Searching...
No Matches
ON_PlugInRef Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_pluginlist.h>`

## Public Member Functions

| ON_PlugInRef ()
void | Default ()
bool | Write (ON_BinaryArchive &file) const
bool | Read (ON_BinaryArchive &file)
void | Dump (ON_TextLog &text_log) const

## Public Attributes

ON_UUID | m_plugin_id
int | m_plugin_type
int | m_plugin_platform
int | m_plugin_sdk_version
int | m_plugin_sdk_service_release
ON_wString | m_plugin_name
ON_wString | m_plugin_version
ON_wString | m_plugin_filename
ON_wString | m_developer_organization
ON_wString | m_developer_address
ON_wString | m_developer_country
ON_wString | m_developer_phone
ON_wString | m_developer_email
ON_wString | m_developer_website
ON_wString | m_developer_updateurl
ON_wString | m_developer_fax

## Detailed Description

Definition at line 27 of file opennurbs_pluginlist.h.

## Constructor & Destructor Documentation

## ON_PlugInRef()

ON_PlugInRef::ON_PlugInRef | ( |  | ) |

## Member Function Documentation

## Default()

void ON_PlugInRef::Default | ( |  | ) |

## Dump()

void ON_PlugInRef::Dump | ( | ON_TextLog & | text_log | ) | const

## Read()

bool ON_PlugInRef::Read | ( | ON_BinaryArchive & | file | ) |

## Write()

bool ON_PlugInRef::Write | ( | ON_BinaryArchive & | file | ) | const

## Member Data Documentation

## m_developer_address

ON_wString ON_PlugInRef::m_developer_address

Definition at line 44 of file opennurbs_pluginlist.h.

## m_developer_country

ON_wString ON_PlugInRef::m_developer_country

Definition at line 45 of file opennurbs_pluginlist.h.

## m_developer_email

ON_wString ON_PlugInRef::m_developer_email

Definition at line 47 of file opennurbs_pluginlist.h.

## m_developer_fax

ON_wString ON_PlugInRef::m_developer_fax

Definition at line 50 of file opennurbs_pluginlist.h.

## m_developer_organization

ON_wString ON_PlugInRef::m_developer_organization

Definition at line 43 of file opennurbs_pluginlist.h.

## m_developer_phone

ON_wString ON_PlugInRef::m_developer_phone

Definition at line 46 of file opennurbs_pluginlist.h.

## m_developer_updateurl

ON_wString ON_PlugInRef::m_developer_updateurl

Definition at line 49 of file opennurbs_pluginlist.h.

## m_developer_website

ON_wString ON_PlugInRef::m_developer_website

Definition at line 48 of file opennurbs_pluginlist.h.

## m_plugin_filename

ON_wString ON_PlugInRef::m_plugin_filename

Definition at line 40 of file opennurbs_pluginlist.h.

## m_plugin_id

ON_UUID ON_PlugInRef::m_plugin_id

Definition at line 33 of file opennurbs_pluginlist.h.

## m_plugin_name

ON_wString ON_PlugInRef::m_plugin_name

Definition at line 38 of file opennurbs_pluginlist.h.

## m_plugin_platform

int ON_PlugInRef::m_plugin_platform

Definition at line 35 of file opennurbs_pluginlist.h.

## m_plugin_sdk_service_release

int ON_PlugInRef::m_plugin_sdk_service_release

Definition at line 37 of file opennurbs_pluginlist.h.

## m_plugin_sdk_version

int ON_PlugInRef::m_plugin_sdk_version

Definition at line 36 of file opennurbs_pluginlist.h.

## m_plugin_type

int ON_PlugInRef::m_plugin_type

Definition at line 34 of file opennurbs_pluginlist.h.

## m_plugin_version

ON_wString ON_PlugInRef::m_plugin_version

Definition at line 39 of file opennurbs_pluginlist.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_pluginlist.h